summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2024-08-28 15:29:20 -0400
committerTavian Barnes <tavianator@tavianator.com>2024-08-28 15:34:24 -0400
commit97849b81fb146cc1d53a369dda03c60360da08b5 (patch)
tree63a63bbb260069844db4fb7692d3b60c6f74dad4
parentf6940f3d5a7732e6e289a772ca2c2f5915f2ce75 (diff)
downloadbfs-97849b81fb146cc1d53a369dda03c60360da08b5.tar.xz
build/version.sh: Move version calculation here
-rw-r--r--Makefile8
-rwxr-xr-xbuild/version.sh18
2 files changed, 19 insertions, 7 deletions
diff --git a/Makefile b/Makefile
index 8662018..6f74eb6 100644
--- a/Makefile
+++ b/Makefile
@@ -68,13 +68,7 @@ ${OBJS}: gen/config.mk
# Save the version number to this file, but only update version.c if it changes
gen/version.i.new::
@${MKDIR} ${@D}
- @if [ "$$VERSION" ]; then \
- printf '%s' "$$VERSION"; \
- elif test -e src/../.git && command -v git >/dev/null 2>&1; then \
- git -C src/.. describe --always --dirty; \
- else \
- echo "4.0.1"; \
- fi | tr -d '\n' | build/embed.sh >$@
+ @build/version.sh | tr -d '\n' | build/embed.sh >$@
gen/version.i: gen/version.i.new
@test -e $@ && cmp -s $@ ${.ALLSRC} && ${RM} ${.ALLSRC} || mv ${.ALLSRC} $@
diff --git a/build/version.sh b/build/version.sh
new file mode 100755
index 0000000..a14e996
--- /dev/null
+++ b/build/version.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Copyright © Tavian Barnes <tavianator@tavianator.com>
+# SPDX-License-Identifier: 0BSD
+
+# Print the version number
+
+set -eu
+
+DIR="$(dirname -- "$0")/.."
+
+if [ "${VERSION-}" ]; then
+ printf '%s' "$VERSION"
+elif [ -e "$DIR/.git" ] && command -v git >/dev/null 2>&1; then
+ git -C "$DIR" describe --always --dirty
+else
+ echo "4.0.1"
+fi